# Python
__pycache__/
*.py[cod]
*$py.class
*.so
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# PyTorch & YOLO
*.pt
*.pth
*.onnx
*.torchscript
*.engine

# Logs
*.log
logs/

# Training results (YOLO tự tạo)
runs/

# Data cache
*.cache
.cache/

# IDE
.vscode/
.idea/
*.swp
*.swo
*~

# OS
.DS_Store
.DS_Store?
._*
.Spotlight-V100
.Trashes
ehthumbs.db
Thumbs.db

# Environment
.env
.venv
env/
venv/
ENV/
env.bak/
venv.bak/

# Jupyter
.ipynb_checkpoints

# Temporary files
*.tmp
*.temp
temp/
tmp/

data/*.cache
data/*.yaml
!data/data.yaml

!docs/
!docs/**/*.png
!docs/**/*.jpg
!docs/**/*.jpeg
!docs/**/*.gif
!docs/**/*.svg